## org.codehaus.groovy.ast.stmt
Class SynchronizedStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.SynchronizedStatement

    public class SynchronizedStatement

extends Statement

Represents a synchronized statement

Version:
  $Revision: 12838 $
Author:
  James Strachan

Constructor Summary
`SynchronizedStatement(Expression expression, Statement code)`

Method Summary
`Statement` `getCode()`
`Expression` `getExpression()`
`void` `setCode(Statement statement)`
`void` `setExpression(Expression expression)`
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.stmt.Statement
`getStatementLabel, isEmpty, setStatementLabel`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynchronizedStatement

    public SynchronizedStatement(Expression expression,
                                 Statement code)

Method Detail

### getCode

    public Statement getCode()

### setCode

    public void setCode(Statement statement)

### getExpression

    public Expression getExpression()

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### setExpression

    public void setExpression(Expression expression)

Copyright © 2003-2009 The Codehaus. All rights reserved.